<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  name: 'TechnologyPartnerPlatformSection',
  props: {
    platform: {
      type: Object,
      required: true,
    },
  },
});
</script>

<template>
  <SlpContainer class="partners-list">
    <div v-if="platform.header" class="partners-list__gradient-header"></div>
    <SlpTypography
      class="slp-mb-64"
      variant="heading2-bold"
      tag="h2"
      data-aos="fade-right"
      data-aos-duration="500"
    >
      {{ platform.header }}
    </SlpTypography>
    <SlpTypography
      v-if="platform.title"
      tag="h3"
      variant="heading4-bold"
      class="slp-mb-24"
      data-aos="fade-right"
      data-aos-duration="500"
      >{{ platform.title }}</SlpTypography
    >
    <SlpRow class="partners-list__list">
      <SlpColumn
        v-for="(app, appIndex) in platform.partners"
        :id="app.id"
        :key="`${app.title}-${appIndex}`"
        class="slp-mb-24 partners-list__card-column"
        :cols="4"
      >
        <div class="partners-list__card-wrapper">
          <div
            class="partners-list__card"
            data-aos="fade-up"
            data-aos-duration="1000"
          >
            <SlpTypography tag="h4" variant="body2" class="slp-mb-32"
              >{{ app.category }}
            </SlpTypography>
            <div>
              <img
                v-if="app.image"
                class="partners-list__image"
                :src="app.image"
                :alt="`${app.title} logo`"
                loading="lazy"
              />
            </div>
            <SlpTypography tag="h5" variant="body1-bold" class="slp-mb-8"
              >{{ app.title }}
            </SlpTypography>
            <SlpTypography
              class="partners-list__description"
              tag="p"
              variant="body3"
              ><span v-html="app.content"
            /></SlpTypography>

            <div v-if="app.links" class="partners-list__group-link">
              <SlpButton
                v-for="link of app.links"
                :key="link.title"
                :variant="link.variation"
                :href="link.url"
                :data-ga-name="link.ga_name || link.title"
                :data-ga-location="link.ga_location"
                class="partners-list__link"
              >
                <SlpTypography
                  tag="span"
                  variant="body3-bold"
                  :title="link.title"
                >
                  {{ link.title }}
                </SlpTypography>
                <SlpIcon
                  class="slp-ml-8"
                  name="chevron-lg-right"
                  variant="product"
                  alt="Chevron Right Icon"
                />
              </SlpButton>
            </div>
          </div>
        </div>
      </SlpColumn>
    </SlpRow>
  </SlpContainer>
</template>

<style scoped lang="scss">
.partners-list {
  margin-bottom: $spacing-96;

  &__gradient-header {
    background: linear-gradient(90deg, #ffc8c6 0%, #b3bded 100%);
    height: 4px;
    width: 95px;
    border-radius: 10px;
    margin-bottom: $spacing-16;
  }

  &__card-wrapper {
    height: 100%;
    width: 100%;
  }

  &__card-column {
    width: 100%;
  }

  &__card {
    border: 1px solid $color-surface-200;
    padding: $spacing-24;
    margin: 0 $spacing-16;
    height: 100%;
    display: flex;
    flex-direction: column;
  }

  &__description {
    margin-bottom: $spacing-24;
  }

  &__list {
    margin: 0 (-$spacing-16);
  }

  &__group-link {
    display: flex;
    flex-direction: column-reverse;
    flex-grow: 1;
  }

  &__link {
    padding: 0;
    margin-bottom: $spacing-8;
    color: $color-text-link-100;
    text-align: left;

    span {
      overflow: hidden;
      white-space: nowrap;
      text-overflow: ellipsis;
    }

    &:hover {
      text-decoration-color: $color-text-link-100;
    }
  }

  &__image {
    max-width: 50%;
    max-height: 60px;
    margin-bottom: $spacing-24;
  }
}
</style>
